Package org.eclipse.m2m.atl.engine.vm

## Class ASMEngine

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.ASMEngine

    public class ASMEngine
    extends java.lang.Object

ASM Engine. This is the main entrypoint when using ATL from command-line. It delegates to another class depending on the kind of operation to perform: simple transformation or composite transformation execution, or simply copy (with possible use of injectors and extractors).

### Field Summary

Fields
`static PluginClassLoader` `cl`

### Constructor Summary

Constructors
`ASMEngine()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `main​(java.lang.String[] args)`
`static void` `realMain​(java.lang.String[] args, PluginClassLoader pcl)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### cl

    public static PluginClassLoader cl

### Constructor Detail

#### ASMEngine

    public ASMEngine()

### Method Detail

#### main

    public static void main​(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### realMain

    public static void realMain​(java.lang.String[] args,
                                PluginClassLoader pcl)
                         throws java.lang.Exception

Throws:
  `java.lang.Exception`